<?
global $MESS;
$PathInstall = str_replace("\\", "/", __FILE__);
$PathInstall = substr($PathInstall, 0, strlen($PathInstall)-strlen("/index.php"));
IncludeModuleLangFile(__FILE__);

if(class_exists("it_catalogadds")) return;

Class it_catalogadds extends CModule
{
	var $MODULE_ID = "it_catalogadds";
	var $MODULE_VERSION;
	var $MODULE_VERSION_DATE;
	var $MODULE_NAME;
	var $MODULE_DESCRIPTION;
	var $MODULE_GROUP_RIGHTS = "Y";

	function it_catalogadds()
	{
		$arModuleVersion = array();

		$path = str_replace("\\", "/", __FILE__);
		$path = substr($path, 0, strlen($path) - strlen("/index.php"));
		include($path."/version.php");

		$this->MODULE_VERSION = $arModuleVersion["VERSION"];
		$this->MODULE_VERSION_DATE = $arModuleVersion["VERSION_DATE"];

		$this->MODULE_NAME = GetMessage("IT_CA_INSTALL_NAME");
		$this->MODULE_DESCRIPTION = GetMessage("IT_CA_INSTALL_DESCRIPTION");
	}

    function DoInstall()
    {
        $this->InstallDB();       
    }
    function InstallDB()
	{
		global $APPLICATION, $DB, $errors;

		if (!$DB->Query("SELECT 'x' FROM b_itca_whishlist", true)) $EMPTY = "Y"; else $EMPTY = "N";

		if ($EMPTY=="Y")
		{
			$errors = $DB->RunSQLBatch($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/it_catalogadds/install/db/".strtolower($DB->type)."/install.sql");

			if (!empty($errors))
			{
				$APPLICATION->ThrowException(implode("", $errors));
				return false;
			}
		}
		
		RegisterModule( $this->MODULE_ID );
		RegisterModuleDependences("iblock", "OnAfterIBlockSectionUpdate", $this->MODULE_ID, "ITCASectionPath", "OnAfterIBlockSectionUpdateHandler");
		RegisterModuleDependences("iblock", "OnAfterIBlockSectionDelete", $this->MODULE_ID, "ITCASectionPath", "OnAfterIBlockSectionUpdateHandler");

		return true;
	}
     
    function DoUninstall()
    {
        $this->UnInstallDB();
    }
    function UnInstallDB($arParams = array())
	{
		global $APPLICATION, $DB, $errors;

		if(!array_key_exists("savedata", $arParams) || $arParams["savedata"] != "Y")
		{
			$errors = false;
			// delete whole base
			$errors = $DB->RunSQLBatch($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/it_catalogadds/install/db/".strtolower($DB->type)."/uninstall.sql");

			if (!empty($errors))
			{
				$APPLICATION->ThrowException(implode("", $errors));
				return false;
			}
		}
		
		COption::RemoveOption($this->MODULE_ID);
		UnRegisterModuleDependences("iblock", "OnAfterIBlockSectionUpdate", $this->MODULE_ID, "ITCASectionPath", "OnAfterIBlockSectionUpdateHandler");
		UnRegisterModuleDependences("iblock", "OnAfterIBlockSectionDelete", $this->MODULE_ID, "ITCASectionPath", "OnAfterIBlockSectionUpdateHandler");
		UnRegisterModule( $this->MODULE_ID );

		return true;
	}
}
?>